package com.hc.business.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.Email;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


@Data
public class UserStatusDto {


    private static final long serialVersionUID = 775234090220211721L;


    /**
     * 主键id
     */
    private Integer userId;

    /**
     * 身份证
     */
    private String cardId;

    /**
     * 用户密码
     */
    private String userPassword;

    /**
     * 用户类别1234分别表示自注册用户，单位报名用户，免费用户,线下用户
     */
    private Integer userType;

    /**
     * 用户所属地区。只能看到该地区得课程
     */
    private Integer areaId;

    /**
     * 用户昵称
     */
    private String userNick;

    /**
     * 用户姓名
     */
    private String userName;

    /**
     * 手机号码
     */
    private String userMobile;

    /**
     * 邮箱
     */
    private String userEmail;

    /**
     * 性别
     */
    private String userGender;

    /**
     * 创建时间
     */
    private Long createTime;

    /**
     * 生日
     */
    private String userBirthday;

    /**
     * 是否激活。只要登陆一次，就自动激活
     */
    private Byte active;

    /**
     * 用户头像
     */
    private String userLogo;

    /**
     * 用户单位
     */
    private String userCompany;

    /**
     * 保留字段1
     */
    private String userReserved1;

    /**
     * 保留字段2
     */
    private String userReserved2;

    /**
     * 保留字段3
     */
    private String userReserved3;

    /**
     * 保留字段4
     */
    private String userReserved4;

    /**
     * 保留字段5
     */
    private String userReserved5;

    private Long payTime;
}