package com.hc.business.mapper;

import com.hc.business.model.AreaDistrict;
import com.hc.core.utils.mapper.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 省份表(AreaDistrict)表数据库访问层
 *
 * @author java
 * @since 2020-11-20 12:48:45
 */

@Repository
public interface AreaDistrictMapper extends Mapper<AreaDistrict> {

    /**
     * 依据parentId获取地区
     *
     * @param parentId 父级id
     * @return 实例对象数组
     */
    List<AreaDistrict> queryAllByParentId(Integer parentId);

}