package com.hc.business.mapper;

import com.hc.business.model.CourseChapterVideo;
import org.springframework.stereotype.Repository;
import com.hc.core.utils.mapper.Mapper;

import java.util.List;

/**
 * 课程视频(CourseChapterVideo)表数据库访问层
 *
 * @author java
 * @since 2020-11-09 10:04:55
 */

@Repository
public interface CourseChapterVideoMapper extends Mapper<CourseChapterVideo> {

    /**
     * 获取章节下的所有视频
     *
     * @param chapterId 章节id
     * @return 实例对象数组
     */
    List<CourseChapterVideo> selectVideoByChapterId(Integer chapterId);

    /**
     * 获取图书下的所有视频
     *
     * @param courseId 课程id
     * @return 实例对象数组
     */
    List<CourseChapterVideo> selectVideoByCourseId(Integer courseId);

}