package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 广告表
 * (Banner)实体类
 *
 * @author java
 * @since 2020-11-26 09:29:46
 */


@ApiModel(value = "banner表")
public class Banner implements Serializable {

    private static final long serialVersionUID = -34877727454440687L;

    /**
     * ID主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "ID主键")
    private Integer bannerId;

    /**
     * 广告连接
     */
    @ApiModelProperty(value = "广告连接", required = true)
    @NotNull
    private String bannerUrl;

    /**
     * 索引
     */
    @ApiModelProperty(value = "索引", required = true)
    @NotNull
    private Integer bannerIndex;


    /**
     * banner的位置01分表表示主banner，教师banner
     */
    @ApiModelProperty(value = "banner的位置01分表表示主banner，教师banner", required = true)
    @NotNull
    private Integer bannerType;


    /**
     * banner的跳转位置
     */
    @ApiModelProperty(value = "banner的跳转位置", required = true)
    private String bannerDest;

    public Banner(Integer bannerId,
                  @NotNull String bannerUrl,
                  @NotNull Integer bannerIndex,
                  @NotNull Integer bannerType,
                  String bannerDest) {
        this.bannerId = bannerId;
        this.bannerUrl = bannerUrl;
        this.bannerIndex = bannerIndex;
        this.bannerType = bannerType;
        this.bannerDest = bannerDest;

    }

    public Banner() {
    }

    public Integer getBannerId() {
        return bannerId;
    }

    public void setBannerId(Integer bannerId) {
        this.bannerId = bannerId;
    }

    public String getBannerUrl() {
        return bannerUrl;
    }

    public void setBannerUrl(String bannerUrl) {
        this.bannerUrl = bannerUrl;
    }

    public Integer getBannerIndex() {
        return bannerIndex;
    }

    public void setBannerIndex(Integer bannerIndex) {
        this.bannerIndex = bannerIndex;
    }

    public Integer getBannerType() {
        return bannerType;
    }

    public void setBannerType(Integer bannerType) {
        this.bannerType = bannerType;
    }

    public String  getBannerDest() {
        return bannerDest;
    }

    public void setBannerDest(String bannerDest) {
        this.bannerDest = bannerDest;
    }
}