package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author jia
 */
@Data
@ApiModel(value = "班次图章表")
public class ClassConfigSponsor implements Serializable {

    private static final long serialVersionUID = 961577731337873266L;


    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键", required = true)
    private Integer sponsorId;

    /**
     * 主办方图章地址
     */
    @ApiModelProperty(value = "主办方图章地址", required = true)
    private String sponsorUrl;

    /**
     * 主板方名称
     */
    @ApiModelProperty(value = "主板方名称", required = true)
    private String sponsorName;

    /**
     * 班次id
     */
    @ApiModelProperty(value = "班次id", required = true)
    @NotNull
    private Integer classId;

    /**
     * 排序
     */
    @ApiModelProperty(value = "排序", required = true)
    private Integer sponsorIndex;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", required = true)
    private Long createTime;
}
