package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 章节附件表(CourseChapterAnnex)实体类
 *
 * @author java
 * @since 2020-11-09 10:04:48
 */


@ApiModel(value = "章节附件表")
public class CourseChapterAnnex implements Serializable {

    private static final long serialVersionUID = 282553089268625985L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer courseChapterAnnexId;

    /**
     * 附件名字
     */
    @ApiModelProperty(value = "附件名字", required = true)
    @NotNull
    private String annexName;

    /**
     * 章节ID
     */
    @ApiModelProperty(value = "章节ID", required = true)
    @NotNull
    private Integer courseChapterId;

    /**
     * 介绍
     */
    @ApiModelProperty(value = "介绍", required = true)
    @NotNull
    private String annexIntroduction;

    /**
     * 附件地址
     */
    @ApiModelProperty(value = "附件地址", required = true)
    @NotNull
    private String annexUrl;

    public CourseChapterAnnex(Integer courseChapterAnnexId, @NotNull String annexName,
                              @NotNull Integer courseChapterId,
                              @NotNull String annexIntroduction, @NotNull String annexUrl) {
        this.courseChapterAnnexId = courseChapterAnnexId;
        this.annexName = annexName;
        this.courseChapterId = courseChapterId;
        this.annexIntroduction = annexIntroduction;
        this.annexUrl = annexUrl;
    }

    public CourseChapterAnnex() {
    }

    public Integer getCourseChapterAnnexId() {
        return courseChapterAnnexId;
    }

    public void setCourseChapterAnnexId(Integer courseChapterAnnexId) {
        this.courseChapterAnnexId = courseChapterAnnexId;
    }

    public String getAnnexName() {
        return annexName;
    }

    public void setAnnexName(String annexName) {
        this.annexName = annexName;
    }

    public Integer getCourseChapterId() {
        return courseChapterId;
    }

    public void setCourseChapterId(Integer courseChapterId) {
        this.courseChapterId = courseChapterId;
    }

    public String getAnnexIntroduction() {
        return annexIntroduction;
    }

    public void setAnnexIntroduction(String annexIntroduction) {
        this.annexIntroduction = annexIntroduction;
    }

    public String getAnnexUrl() {
        return annexUrl;
    }

    public void setAnnexUrl(String annexUrl) {
        this.annexUrl = annexUrl;
    }
}