package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;

/**
 * (CourseTypeRelation)实体类
 *
 * @author java
 * @since 2021-02-02 09:25:06
 */

@ApiModel(value = "课程类别关系表")
public class CourseTypeRelation implements Serializable {

    private static final long serialVersionUID = -48750814361274136L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer courseTypeReId;

    /**
     * 课程id
     */
    @ApiModelProperty(value = "课程id", required = true)
    private Integer courseId;

    /**
     * 类别id
     */
    @ApiModelProperty(value = "类别id", required = true)
    private Integer courseTypeId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    public CourseTypeRelation(Integer courseTypeReId, Integer courseId, Integer courseTypeId, Long createTime) {
        this.courseTypeReId = courseTypeReId;
        this.courseId = courseId;
        this.courseTypeId = courseTypeId;
        this.createTime = createTime;
    }

    public CourseTypeRelation() {
    }

    public Integer getCourseTypeReId() {
        return courseTypeReId;
    }

    public void setCourseTypeReId(Integer courseTypeReId) {
        this.courseTypeReId = courseTypeReId;
    }

    public Integer getCourseId() {
        return courseId;
    }

    public void setCourseId(Integer courseId) {
        this.courseId = courseId;
    }

    public Integer getCourseTypeId() {
        return courseTypeId;
    }

    public void setCourseTypeId(Integer courseTypeId) {
        this.courseTypeId = courseTypeId;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

}