package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 新闻标签表(NewsTag)实体类
 *
 * @author java
 * @since 2020-11-20 13:13:47
 */

@ApiModel(value = "资讯标签表")
public class NewsTag implements Serializable {

    private static final long serialVersionUID = -31343210313614099L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer tagId;

    /**
     * 类别名称
     */
    @ApiModelProperty(value = "类别名称", required = true)
    @NotNull
    private String tagName;

    public NewsTag(Integer tagId, @NotNull String tagName) {
        this.tagId = tagId;
        this.tagName = tagName;
    }

    public NewsTag() {
    }

    public Integer getTagId() {
        return tagId;
    }

    public void setTagId(Integer tagId) {
        this.tagId = tagId;
    }

    public String getTagName() {
        return tagName;
    }

    public void setTagName(String tagName) {
        this.tagName = tagName;
    }


}