package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * (OrderUserLog)实体类
 *
 * @author java
 * @since 2020-12-03 09:25:07
 */

@ApiModel(value = "订单详情表")
public class OrderUserLog implements Serializable {

    private static final long serialVersionUID = 666133974894655590L;


    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键")
    private Integer orderLogId;

    /**
     * 订单id
     */
    @ApiModelProperty(value = "订单id", required = true)
    @NotNull
    private Integer orderId;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id", required = true)
    @NotNull
    private Integer reUserId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    public OrderUserLog(Integer orderLogId, @NotNull Integer orderId,
                        @NotNull Integer reUserId, Long createTime) {
        this.orderLogId = orderLogId;
        this.orderId = orderId;
        this.reUserId = reUserId;
        this.createTime = createTime;
    }

    public OrderUserLog() {
    }

    public Integer getOrderLogId() {
        return orderLogId;
    }

    public void setOrderLogId(Integer orderLogId) {
        this.orderLogId = orderLogId;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public Integer getReUserId() {
        return reUserId;
    }

    public void setReUserId(Integer reUserId) {
        this.reUserId = reUserId;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }
}