package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Transient;
import java.io.Serializable;
import java.util.List;


/**
 * 习题表(Question)实体类
 *
 * @author java
 * @since 2020-12-07 11:35:53
 */

@ApiModel(value = "题目表")
public class Question implements Serializable {

    private static final long serialVersionUID = 215664877400645272L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer questionId;

    /**
     * 习题题干
     */
    @ApiModelProperty(value = "习题题干", required = true)
    private String questionDescription;

    /**
     * 标签id
     */
    @ApiModelProperty(value = "标签id", required = true)
    private Integer tagId;

    /**
     * 习题类型
     */
    @ApiModelProperty(value = "习题类型", required = true)
    private Integer questionType;

    /**
     * 习题分数
     */
    @ApiModelProperty(value = "习题分数", required = true)
    private Integer questionScore;

    /**
     * 习题级别，难中易
     */
    @ApiModelProperty(value = "习题级别，难中易", required = true)
    private Integer questionLevel;

    /**
     * 解析
     */
    @ApiModelProperty(value = "解析", required = true)
    private String analysis;

    @Transient
    private List<QuestionAnswer> questionAnswerList;

    public Question(Integer questionId, String questionDescription,
                    Integer tagId, Integer questionType,
                    Integer questionScore, Integer questionLevel, String analysis) {
        this.questionId = questionId;
        this.questionDescription = questionDescription;
        this.tagId = tagId;
        this.questionType = questionType;
        this.questionScore = questionScore;
        this.questionLevel = questionLevel;
        this.analysis = analysis;
    }

    public Question() {
    }

    public Integer getQuestionId() {
        return questionId;
    }

    public void setQuestionId(Integer questionId) {
        this.questionId = questionId;
    }

    public String getQuestionDescription() {
        return questionDescription;
    }

    public void setQuestionDescription(String questionDescription) {
        this.questionDescription = questionDescription;
    }

    public Integer getTagId() {
        return tagId;
    }

    public void setTagId(Integer tagId) {
        this.tagId = tagId;
    }

    public Integer getQuestionType() {
        return questionType;
    }

    public void setQuestionType(Integer questionType) {
        this.questionType = questionType;
    }

    public Integer getQuestionScore() {
        return questionScore;
    }

    public void setQuestionScore(Integer questionScore) {
        this.questionScore = questionScore;
    }

    public Integer getQuestionLevel() {
        return questionLevel;
    }

    public void setQuestionLevel(Integer questionLevel) {
        this.questionLevel = questionLevel;
    }

    public String getAnalysis() {
        return analysis;
    }

    public void setAnalysis(String analysis) {
        this.analysis = analysis;
    }

    public List<QuestionAnswer> getQuestionAnswerList() {
        return questionAnswerList;
    }

    public void setQuestionAnswerList(List<QuestionAnswer> questionAnswerList) {
        this.questionAnswerList = questionAnswerList;
    }
}