package com.hc.business.model;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;

/**
 * 第三方用户表(Third)实体类
 *
 * @author java
 * @since 2020-06-17 17:29:30
 */

public class Third implements Serializable {

    private static final long serialVersionUID = 449560525009961962L;

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer thirdId;
    /**
     * 第三方访问TOKEN
     */
    private String thirdToken;
    /**
     * 第三方名字
     */
    private String thirdName;
    /**
     * 创建时间
     */
    private Long createTime = System.currentTimeMillis();
    /**
     * 失效时间
     */
    private Long expireTime;

    public Third(Integer thirdId, String thirdToken, String thirdName, Long createTime, Long expireTime) {
        this.thirdId = thirdId;
        this.thirdToken = thirdToken;
        this.thirdName = thirdName;
        this.createTime = createTime;
        this.expireTime = expireTime;
    }

    public Third() {
    }

    public Integer getThirdId() {
        return thirdId;
    }

    public void setThirdId(Integer thirdId) {
        this.thirdId = thirdId;
    }

    public String getThirdToken() {
        return thirdToken;
    }

    public void setThirdToken(String thirdToken) {
        this.thirdToken = thirdToken;
    }

    public String getThirdName() {
        return thirdName;
    }

    public void setThirdName(String thirdName) {
        this.thirdName = thirdName;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(Long expireTime) {
        this.expireTime = expireTime;
    }
}