package com.hc.business.model;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;

/**
 * 第三方用户课程配置表(ThirdCourse)实体类
 *
 * @author java
 * @since 2020-06-17 17:29:30
 */


public class ThirdCourse implements Serializable {

    private static final long serialVersionUID = 819515458055433746L;

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;
    /**
     * 第三方用户ID
     */
    private Integer thirdId;
    /**
     * 课程ID
     */
    private Integer courseId;
    /**
     * 是否有效，默认有效
     */
    private Integer status;
    /**
     * 配置时间
     */
    private Long createTime = System.currentTimeMillis();

    public ThirdCourse(Integer id, Integer thirdId, Integer courseId, Integer status, Long createTime) {
        this.id = id;
        this.thirdId = thirdId;
        this.courseId = courseId;
        this.status = status;
        this.createTime = createTime;
    }

    public ThirdCourse() {
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getThirdId() {
        return thirdId;
    }

    public void setThirdId(Integer thirdId) {
        this.thirdId = thirdId;
    }

    public Integer getCourseId() {
        return courseId;
    }

    public void setCourseId(Integer courseId) {
        this.courseId = courseId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }
}