package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * (UserTeacher)实体类
 *
 * @author java
 * @since 2020-11-20 11:08:17
 */

@ApiModel(value = "老师表")
public class UserTeacher implements Serializable {

    private static final long serialVersionUID = 354661860163916483L;


    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键")
    private Integer teacherId;

    /**
     * 老师名称
     */
    @ApiModelProperty(value = "老师名称", required = true)
    @NotNull
    private String teacherName;

    /**
     * 老师简介
     */
    @ApiModelProperty(value = "老师简介", required = true)
    @NotNull
    private String teacherIntroduce;

    /**
     * 老师头像
     */
    @ApiModelProperty(value = "老师头像", required = true)
    @NotNull
    private String teacherLogo;

    /**
     * 老师图片
     */
    @ApiModelProperty(value = "老师图片", required = true)
    private String teacherUrl;

    /**
     * 时间
     */
    @ApiModelProperty(value = "时间")
    private Long createTime;

    public UserTeacher(Integer teacherId, @NotNull String teacherName,
                       @NotNull String teacherIntroduce,
                       @NotNull String teacherLogo,
                       @NotNull String teacherUrl, Long createTime) {
        this.teacherId = teacherId;
        this.teacherName = teacherName;
        this.teacherIntroduce = teacherIntroduce;
        this.teacherLogo = teacherLogo;
        this.teacherUrl = teacherUrl;
        this.createTime = createTime;
    }

    public UserTeacher() {
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeacherIntroduce() {
        return teacherIntroduce;
    }

    public void setTeacherIntroduce(String teacherIntroduce) {
        this.teacherIntroduce = teacherIntroduce;
    }

    public String getTeacherLogo() {
        return teacherLogo;
    }

    public void setTeacherLogo(String teacherLogo) {
        this.teacherLogo = teacherLogo;
    }

    public String getTeacherUrl() {
        return teacherUrl;
    }

    public void setTeacherUrl(String teacherUrl) {
        this.teacherUrl = teacherUrl;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }
}