package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 用户视频观看记录(UserVideoPosition)实体类
 *
 * @author java
 * @since 2020-05-29 15:50:50
 */

@ApiModel(value = "视频记录表")
public class UserVideoPosition implements Serializable {

    private static final long serialVersionUID = 133164084604002223L;

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键ID")
    private Integer userVideoPositionId;

    /**
     * 视频id
     */
    @ApiModelProperty(value = "视频id", required = true)
    @NotNull
    private Integer videoId;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id", required = true)
    @NotNull
    private Integer userId;

    /**
     * 视频观看时间
     */
    private String videoPosition;

    /**
     * 是否观看解鼠
     */
    private Integer watchEnd;

    /**
     * 视频时长
     */
    private String videoTime;

    public UserVideoPosition(Integer userVideoPositionId, @NotNull Integer videoId,
                             @NotNull Integer userId,
                             String videoPosition, Integer watchEnd, String videoTime) {
        this.userVideoPositionId = userVideoPositionId;
        this.videoId = videoId;
        this.userId = userId;
        this.videoPosition = videoPosition;
        this.watchEnd = watchEnd;
        this.videoTime = videoTime;
    }

    public UserVideoPosition() {
    }

    public Integer getUserVideoPositionId() {
        return userVideoPositionId;
    }

    public void setUserVideoPositionId(Integer userVideoPositionId) {
        this.userVideoPositionId = userVideoPositionId;
    }

    public Integer getVideoId() {
        return videoId;
    }

    public void setVideoId(Integer videoId) {
        this.videoId = videoId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getVideoPosition() {
        return videoPosition;
    }

    public void setVideoPosition(String videoPosition) {
        this.videoPosition = videoPosition;
    }

    public Integer getWatchEnd() {
        return watchEnd;
    }

    public void setWatchEnd(Integer watchEnd) {
        this.watchEnd = watchEnd;
    }

    public String getVideoTime() {
        return videoTime;
    }

    public void setVideoTime(String videoTime) {
        this.videoTime = videoTime;
    }
}