package com.hc.business.model.invoice;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


@Data
@ApiModel(value = "开票回传")
public class InvoiceScan implements Serializable {

    private static final long serialVersionUID = 404350063874166042L;

    /**
     * 订单号
     */
    @ApiModelProperty(value = "必填参数。接口标识：callback", required = true)
    private String operater;

    @ApiModelProperty(value = "订单编号", required = true)
    private String orderno;

    @ApiModelProperty(value = "开票信息json字符串格式", required = true)
    private String content;

    @ApiModelProperty(value = "发票状态（1：开票完成、2：开票失败、3：开票成功签章失败（电票时））；  注：1、企业资质-开票失败是否回调 为“是” 时返回该字段；        2、（开票失败、开票成功签章失败时 ） content中只返回：发票流水号、发票状态、销方税号、失败原因 四个字段；", required = true)
    private String c_status;

    @ApiModelProperty(value = "开票日期 1490867741000", required = true)
    private String c_kprq;

    @ApiModelProperty(value = "发票号码", required = true)
    private String c_fphm;

    @ApiModelProperty(value = "价税税额（保留小数点后2位", required = true)
    private String c_hjse;

    @ApiModelProperty(value = "不含税金额（保留小数点后2位）", required = true)
    private String c_bhsje;

    @ApiModelProperty(value = "订单号", required = true)
    private String c_orderno;

    @ApiModelProperty(value = "发票流水号", required = true)
    private String c_fpqqlsh;

    @ApiModelProperty(value = "发票pdf地址", required = true)
    private String c_url;

    @ApiModelProperty(value = "发票详情地址", required = true)
    private String c_jpg_url;

    @ApiModelProperty(value = "购方email", required = true)
    private String email;

    @ApiModelProperty(value = "购方phone", required = true)
    private String phone;
}
