package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.model.OrderAttachment;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * 线下汇款订单附件表(OrderAttachment)表服务接口
 *
 * @author makejava
 * @since 2024-01-25 20:48:58
 */

@Component
public interface OrderAttachmentService {

    /**
     * 通过ID查询单条数据
     *
     * @param attchementId 主键
     * @return 实例对象
     */
    OrderAttachment queryById(Integer attchementId);

    /**
     * 新增数据
     *
     * @param orderAttachment 实例对象
     * @return 实例对象
     */
    OrderAttachment insert(OrderAttachment orderAttachment);

    /**
     * 修改数据
     *
     * @param orderAttachment 实例对象
     * @return 实例对象
     */
    OrderAttachment update(OrderAttachment orderAttachment);

    /**
     * 通过主键删除数据
     *
     * @param attchementId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer attchementId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);

    List<OrderAttachment> queryByOrderId(Integer orderId);
}
