package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.model.QuestionAnswer;
import org.springframework.stereotype.Component;


/**
 * 问题答案表(QuestionAnswer)表服务接口
 *
 * @author java
 * @since 2020-12-07 11:36:20
 */

@Component
public interface QuestionAnswerService {

    /**
     * 通过ID查询单条数据
     *
     * @param questionAnswerId 主键
     * @return 实例对象
     */
    QuestionAnswer queryById(Integer questionAnswerId);

    /**
     * 新增数据
     *
     * @param questionAnswer 实例对象
     * @return 实例对象
     */
    QuestionAnswer insert(QuestionAnswer questionAnswer);

    /**
     * 修改数据
     *
     * @param questionAnswer 实例对象
     * @return 实例对象
     */
    QuestionAnswer update(QuestionAnswer questionAnswer);

    /**
     * 通过主键删除数据
     *
     * @param questionAnswerId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer questionAnswerId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}