package com.hc.web.controller.browser.app;

import com.hc.business.model.CourseAttachment;
import com.hc.business.service.CourseAttachmentService;
import com.hc.core.utils.result.Result;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import java.util.List;

/**
 * 新闻附件表(CourseAttachment)表控制层
 *
 * @author makejava
 * @since 2024-01-20 11:48:47
 */

@RestController
@RequestMapping("/new/api/app/courseAttachment")
public class AppCourseAttachmentController {

    /**
     * 服务对象
     */
    private final CourseAttachmentService courseAttachmentService;

    public AppCourseAttachmentController(CourseAttachmentService courseAttachmentService) {
        this.courseAttachmentService = courseAttachmentService;
    }

    @PostMapping("/insert")
    @ApiOperation(value = "新增附件", response = Result.class)
    public Result addAttachment(@Valid @RequestBody List<CourseAttachment> courseAttachmentList) {
        courseAttachmentList.forEach(courseAttachmentService::insert);
        return Result.success(courseAttachmentList);
    }


    @GetMapping("/queryByCourseId")
    @ApiOperation(value = "根据newID获取他的附件", response = Result.class)
    public Result queryByCourseId(@RequestParam(defaultValue = "0") Integer courseId) {
        return Result.success(courseAttachmentService.queryByCourseId(courseId));
    }


}
