package com.hc.web.controller.browser.front;
import com.hc.business.service.FloatWindowService;
import com.hc.core.utils.result.Result;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;


/**
 * 飘窗表(FloatWindow)表控制层
 *
 * @author makejava
 * @since 2023-04-13 08:54:39
 */

@RestController
@RequestMapping("/new/api/floatWindow")

public class FrontFloatWindowController {

    /**
     * 服务对象
     */
    private final FloatWindowService floatWindowService;

    public FrontFloatWindowController(FloatWindowService floatWindowService) {
        this.floatWindowService = floatWindowService;
    }


    @GetMapping("/list")
    @ApiOperation(value = "获取 FloatWindow列表(分页)", response = Result.class)
    public Result listFloatWindow(@RequestParam(defaultValue = "0") Integer page,
                                  @RequestParam(defaultValue = "0") Integer size) {
        return Result.success(floatWindowService.queryAllByLimit(page, size));
    }


}
