package com.hc.gpbusiness.mapper;

import com.hc.gpbusiness.model.WebCourseChapterVideo;
import org.springframework.stereotype.Repository;
import com.hc.gpcore.utils.tk.mapper.Mapper;

import java.util.List;

/**
 * 课程视频(CourseChapterVideo)表数据库访问层
 *
 * @author java
 * @since 2020-07-29 16:23:08
 */

@Repository
public interface WebCourseChapterVideoMapper extends Mapper<WebCourseChapterVideo> {

    /**
     * 获取章节下的视频
     *
     * @param chapterId 章节id
     * @return 实例对象数组
     */
    List<WebCourseChapterVideo> queryByChapterId(Integer chapterId);

}