package com.hc.gpbusiness.mapper;

import com.hc.gpbusiness.model.WebUserAdmin;
import org.springframework.stereotype.Repository;
import com.hc.gpcore.utils.tk.mapper.Mapper;

import java.util.List;

/**
 * 管理员表(UserAdmin)表数据库访问层
 *
 * @author java
 * @since 2020-07-29 16:23:13
 */

@Repository
public interface WebUserAdminMapper extends Mapper<WebUserAdmin> {

    /**
     * 依据用户名查询管理员
     *
     * @param adminAccount 用户名
     * @return 实例对象数组
     */
    List<WebUserAdmin> selectAdminByAdminAccount(String adminAccount);

}