package com.hc.gpbusiness.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;


/**
 * 课程章节表(CourseChapter)实体类
 *
 * @author java
 * @since 2020-07-29 17:28:23
 */
@Builder
@Data
public class WebCourseChapter implements Serializable {

    private static final long serialVersionUID = -19353598448976927L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer courseChapterId;

    /**
     * 章节名字
     */
    @ApiModelProperty(value = "章节名字", required = true)
    private String chapterName;

    /**
     * 父节点ID
     */
    @ApiModelProperty(value = "父节点ID", required = true)
    private Integer parentId;

    /**
     * 章节层级
     */
    @ApiModelProperty(value = "章节层级", required = true)
    private Integer chapterLevel;

    /**
     * 课程ID
     */
    @ApiModelProperty(value = "课程ID", required = true)
    private Integer courseId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Long updateTime;
}