package com.hc.gpbusiness.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;
import java.util.List;


/**
 * 板块表(Module)实体类
 *
 * @author java
 * @since 2020-07-29 17:28:24
 */
@Builder
@Data
public class WebModules implements Serializable {

    private static final long serialVersionUID = -22327544394038593L;


    /**
     * 板块表ids
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "板块表id")
    private Integer moduleId;

    /**
     * 父板块节点Id。0表示第一级板块
     */
    @ApiModelProperty(value = "父板块节点Id。0表示第一级板块", required = true)
    private Integer parentId;

    /**
     * 板块名字
     */
    @ApiModelProperty(value = "板块名字", required = true)
    private String moduleName;

    /**
     * 板块类型12表示新闻，视频
     */
    @ApiModelProperty(value = "板块类型12表示新闻，视频", required = true)
    private Integer moduleType;

    /**
     * 模块得索引，保留
     */
    @ApiModelProperty(value = "模块得索引，保留", required = true)
    private Integer moduleIndex;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Long updateTime;


}