package com.hc.gpbusiness.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;


/**
 * 用户表(User)实体类
 *
 * @author java
 * @since 2020-07-29 17:28:24
 */
@Builder
@Data
public class WebUser implements Serializable {

    private static final long serialVersionUID = -38876657990073810L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer userId;

    /**
     * 身份账号
     */
    @ApiModelProperty(value = "身份账号", required = true)
    private String cardId;

    /**
     * 用户登陆账号
     */
    @ApiModelProperty(value = "用户登陆账号", required = true)
    private String userAccount;

    /**
     * 用户密码
     */
    @ApiModelProperty(value = "用户密码", required = true)
    private String userPassword;

    /**
     * 用户昵称
     */
    @ApiModelProperty(value = "用户昵称", required = true)
    private String userNick;

    /**
     * 头像
     */
    @ApiModelProperty(value = "头像", required = true)
    private String userLogo;

    /**
     * 手机号码
     */
    @ApiModelProperty(value = "手机号码", required = true)
    private String userMobile;

    /**
     * 邮箱
     */
    @ApiModelProperty(value = "邮箱", required = true)
    private String userEmail;

    /**
     * 性别
     */
    @ApiModelProperty(value = "性别", required = true)
    private String userGender;

    /**
     * 生日
     */
    @ApiModelProperty(value = "生日", required = true)
    private String userBirthday;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Long updateTime;
}