package com.hc.gpbusiness.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;


/**
 * 管理员表(UserAdmin)实体类
 *
 * @author java
 * @since 2020-07-29 17:28:24
 */
@Builder
@Data
public class WebUserAdmin implements Serializable {

    private static final long serialVersionUID = -24174751835191163L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer userAdminId;

    /**
     * 管理员名字
     */
    @ApiModelProperty(value = "管理员名字", required = true)
    private String adminName;

    /**
     * 管理员账号
     */
    @ApiModelProperty(value = "管理员账号", required = true)
    private String adminAccount;

    /**
     * 管理员密码
     */
    @ApiModelProperty(value = "管理员密码", required = true)
    private String adminPass;

    /**
     * 管理员级别
     */
    @ApiModelProperty(value = "管理员级别", required = true)
    private Integer permissionLevel;
}