package com.hc.gpbusiness.service;

import com.hc.gpbusiness.model.WebCourseChapterAnnex;
import org.springframework.stereotype.Component;
import com.github.pagehelper.PageInfo;


/**
 * 章节附件表(CourseChapterAnnex)表服务接口
 *
 * @author java
 * @since 2020-07-29 16:23:07
 */

@Component
public interface WebCourseChapterAnnexService {

    /**
     * 通过ID查询单条数据
     *
     * @param courseChapterAnnexId 主键
     * @return 实例对象
     */
    WebCourseChapterAnnex queryById(Integer courseChapterAnnexId);

    /**
     * 新增数据
     *
     * @param courseChapterAnnex 实例对象
     * @return 实例对象
     */
    WebCourseChapterAnnex insert(WebCourseChapterAnnex courseChapterAnnex);

    /**
     * 修改数据
     *
     * @param courseChapterAnnex 实例对象
     * @return 实例对象
     */
    WebCourseChapterAnnex update(WebCourseChapterAnnex courseChapterAnnex);

    /**
     * 通过主键删除数据
     *
     * @param courseChapterAnnexId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer courseChapterAnnexId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}