package com.hc.gpbusiness.service;

import com.hc.gpbusiness.model.WebCourseTagCollection;
import org.springframework.stereotype.Component;
import com.github.pagehelper.PageInfo;


/**
 * 新闻标签，新闻对应表(CourseTagCollection)表服务接口
 *
 * @author java
 * @since 2020-07-29 16:23:09
 */

@Component
public interface WebCourseTagCollectionService {

    /**
     * 通过ID查询单条数据
     *
     * @param collectionId 主键
     * @return 实例对象
     */
    WebCourseTagCollection queryById(Integer collectionId);

    /**
     * 新增数据
     *
     * @param courseTagCollection 实例对象
     * @return 实例对象
     */
    WebCourseTagCollection insert(WebCourseTagCollection courseTagCollection);

    /**
     * 修改数据
     *
     * @param courseTagCollection 实例对象
     * @return 实例对象
     */
    WebCourseTagCollection update(WebCourseTagCollection courseTagCollection);

    /**
     * 通过主键删除数据
     *
     * @param collectionId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer collectionId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}