package com.hc.gpbusiness.service;

import com.github.pagehelper.PageInfo;
import com.hc.gpbusiness.model.WebNewsAttachment;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * 新闻附件表(NewsAttachment)表服务接口
 *
 * @author makejava
 * @since 2024-01-20 10:56:41
 */

@Component
public interface WebNewsAttachmentService {

    /**
     * 通过ID查询单条数据
     *
     * @param attachmentId 主键
     * @return 实例对象
     */
    WebNewsAttachment queryById(Integer attachmentId);

    /**
     * 新增数据
     *
     * @param newsAttachment 实例对象
     * @return 实例对象
     */
    WebNewsAttachment insert(WebNewsAttachment newsAttachment);

    /**
     * 修改数据
     *
     * @param newsAttachment 实例对象
     * @return 实例对象
     */
    WebNewsAttachment update(WebNewsAttachment newsAttachment);

    /**
     * 通过主键删除数据
     *
     * @param attachmentId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer attachmentId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);

    /**
     * 通过直播ID查询关联的培训帮
     *
     * @param newsId 主键
     * @return 是否成功
     */
    List<WebNewsAttachment> queryByNewsId(Integer newsId);
}
