package com.hc.gpbusiness.service;

import com.hc.gpbusiness.model.WebNewsHistory;
import org.springframework.stereotype.Component;
import com.github.pagehelper.PageInfo;


/**
 * 新闻操作记录表，比如转发，点评(NewsHistory)表服务接口
 *
 * @author java
 * @since 2020-07-29 16:23:11
 */

@Component
public interface WebNewsHistoryService {

    /**
     * 通过ID查询单条数据
     *
     * @param historyId 主键
     * @return 实例对象
     */
    WebNewsHistory queryById(Integer historyId);

    /**
     * 新增数据
     *
     * @param newsHistory 实例对象
     * @return 实例对象
     */
    WebNewsHistory insert(WebNewsHistory newsHistory);

    /**
     * 修改数据
     *
     * @param newsHistory 实例对象
     * @return 实例对象
     */
    WebNewsHistory update(WebNewsHistory newsHistory);

    /**
     * 通过主键删除数据
     *
     * @param historyId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer historyId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}