package com.hc.gpbusiness.service;

import com.github.pagehelper.PageInfo;
import com.hc.gpbusiness.model.WebUserAdmin;
import com.hc.gpbusiness.model.login.AccessEntity;
import com.hc.gpbusiness.model.login.AuthEntity;
import org.springframework.stereotype.Component;


/**
 * 管理员表(UserAdmin)表服务接口
 *
 * @author java
 * @since 2020-07-29 16:23:13
 */

@Component
public interface WebUserAdminService {

    /**
     * 通过ID查询单条数据
     *
     * @param userAdminId 主键
     * @return 实例对象
     */
    WebUserAdmin queryById(Integer userAdminId);

    /**
     * 新增数据
     *
     * @param userAdmin 实例对象
     * @return 实例对象
     */
    WebUserAdmin insert(WebUserAdmin userAdmin);

    /**
     * 修改数据
     *
     * @param userAdmin 实例对象
     * @return 实例对象
     */
    WebUserAdmin update(WebUserAdmin userAdmin);

    /**
     * 通过主键删除数据
     *
     * @param userAdminId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer userAdminId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);

    /**
     * 后台管理员登录
     *
     * @param authEntity 登录对象
     * @return 实例对象
     */
    AccessEntity userAdminLogin(AuthEntity authEntity) ;


}