package com.hc.gpweb.controller.front;

import com.hc.gpbusiness.service.WebCourseChapterVideoService;
import com.hc.gpcore.utils.result.Result;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;


/**
 * 课程视频(CourseChapterVideo)表控制层
 *
 * @author java
 * @since 2020-07-29 16:23:08
 */

@RestController
@RequestMapping("/api/front/courseChapterVideo")
public class FrontCourseChapterVideoController {

    /**
     * 服务对象
     */
    private final WebCourseChapterVideoService courseChapterVideoService;

    public FrontCourseChapterVideoController(WebCourseChapterVideoService courseChapterVideoService) {
        this.courseChapterVideoService = courseChapterVideoService;
    }

    @GetMapping("/{id}")
    @ApiOperation(value = "依据主键获取 CourseChapterVideo", response = Result.class)
    public Result selectCourseChapterVideo(@PathVariable("id") Integer id) {
        return Result.success(this.courseChapterVideoService.queryById(id));
    }

    @GetMapping("/list")
    @ApiOperation(value = "获取 CourseChapterVideo列表(分页)", response = Result.class)
    public Result listCourseChapterVideo(@RequestParam(defaultValue = "0") Integer page,
                                         @RequestParam(defaultValue = "0") Integer size,
                                         @RequestParam Integer chapterId) {
        return Result.success(courseChapterVideoService.queryAllByLimit(page, size, chapterId));
    }


}