package com.hc.business.dto;

import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;

/**
 * 第三方用户课程配置表(ThirdCourse)实体类
 *
 * @author java
 * @since 2020-06-17 17:29:30
 */

@Data
public class ZccmThirdCourseBack implements Serializable {

    private static final long serialVersionUID = 819515458055433747L;

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;
    /**
     * 第三方用户ID
     */
    private Integer thirdId;
    /**
     * 课程ID
     */
    private Integer courseId;
    /**
     * 是否有效，默认有效
     */
    private Integer status;
    /**
     * 配置时间
     */
    private Long createTime = System.currentTimeMillis();


    private String courseName;
    private String courseLogo;
}