package com.hc.business.mapper;

import com.hc.business.model.ZccmNews;
import com.hc.core.utils.mapper.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 新闻表
 * (News)表数据库访问层
 *
 * @author java
 * @since 2020-11-20 11:48:36
 */

@Repository
public interface ZccmNewsMapper extends Mapper<ZccmNews> {

    /**
     * 依据标签id查询news
     *
     * @param tagId 标签id
     * @return 实例对象数组
     */
    List<ZccmNews> queryByTagId(Integer tagId);


}