package com.hc.business.mapper;

import com.hc.business.model.ZccmUserAdvise;
import com.hc.core.utils.mapper.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 用户建议表
 * (UserAdvise)表数据库访问层
 *
 * @author java
 * @since 2020-11-16 14:20:02
 */

@Repository
public interface ZccmUserAdviseMapper extends Mapper<ZccmUserAdvise> {

    /**
     * 依据用户id查询建议
     *
     * @param userId 用户id
     * @return 实例对象数组
     */
    List<ZccmUserAdvise> queryAllByUserId(Integer userId);

    /**
     * 依据类别id查询建议
     *
     * @param adviceType 类别id
     * @return 实例对象数组
     */
    List<ZccmUserAdvise> queryAllByAdviceType(Integer adviceType);

    /**
     * 查询所有意见信息
     *
     * @return 实例对象数组
     */
    List<ZccmUserAdvise> queryAll();
}