package com.hc.business.mapper;

import com.hc.business.model.ZccmUserVideoPosition;
import com.hc.core.utils.mapper.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 用户视频观看记录(UserVideoPosition)表数据库访问层
 *
 * @author java
 * @since 2020-05-29 15:50:50
 */
 
@Repository
public interface ZccmUserVideoPositionMapper extends Mapper<ZccmUserVideoPosition>{

    /**
     * 查询视频观看记录
     *
     * @param videoId
     * @param userId
     * @return
     */
    List<ZccmUserVideoPosition> selectUserPositionByUserAndVideo(@Param("videoId") Integer videoId,
                                                             @Param("userId") Integer userId);

}