package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 课程表(Course)实体类
 *
 * @author java
 * @since 2020-11-09 10:04:45
 */

@ApiModel(value = "课程表")
@Data
public class ZccmCourse implements Serializable {

    private static final long serialVersionUID = -89648020880598418L;


    /**
     * 主键ID
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键ID")
    private Integer courseId;

    /**
     * 课程名称
     */
    @ApiModelProperty(value = "课程名称", required = true)
    @NotNull
    private String courseName;

    /**
     * 图标
     */
    @ApiModelProperty(value = "图标", required = true)
    @NotNull
    private String courseLogo;

    /**
     * 课程介绍
     */
    @ApiModelProperty(value = "课程介绍", required = true)
    @NotNull
    private String courseDesc;

    /**
     * 课程时长
     */
    @ApiModelProperty(value = "课程时长", required = true)
    private Float courseHours;

    /**
     * 教师
     */
    @ApiModelProperty(value = "教师", required = true)
    private String courseTeacher;

    /**
     * 课程是否上架。下架后不可见
     */
    @ApiModelProperty(value = "课程是否上架。下架后不可见")
    private Integer isValid;

    /**
     * 如果有多张详情图，相册
     */
    @ApiModelProperty(value = "如果有多张详情图，相册")
    private String gallery;

    /**
     * 保留位，暂不使用
     */
    @ApiModelProperty(value = "保留位，暂不使用")
    private Integer reserved1;

}