package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 随机试卷问题表(PaperQuestion)实体类
 *
 * @author java
 * @since 2020-12-07 11:35:09
 */

@ApiModel(value = "抽题表")
@Data
public class ZccmPaperQuestion implements Serializable {

    private static final long serialVersionUID = -31457085483443169L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer paperRuleId;

    /**
     * 试卷编号
     */
    @ApiModelProperty(value = "试卷编号", required = true)
    @NotNull
    private Integer paperId;

    /**
     * 问题数量
     */
    @ApiModelProperty(value = "问题数量", required = true)
    @NotNull
    private Integer questionNum;

    /**
     * 难易程度
     */
    @ApiModelProperty(value = "难易程度", required = true)
    private Integer questionLevel;

    /**
     * 题目类型
     */
    @ApiModelProperty(value = "题目类型", required = true)
    @NotNull
    private Integer questionType;

    /**
     * 分值
     */
    @ApiModelProperty(value = "分值", required = true)
    private Integer score;

    /**
     * 基于哪个题库
     */
    @ApiModelProperty(value = "基于哪个题库", required = true)
    @NotNull
    private Integer questionTagId;

}