package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.Email;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 用户建议表
 * (ZccmUserAdvise)实体类
 *
 * @author java
 * @since 2020-11-16 14:20:01
 */

@ApiModel(value = "用户信息表")
@Data
public class ZccmUserAdvise implements Serializable {

    private static final long serialVersionUID = -75842427826309033L;


    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键")
    private Integer adviceId;

    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户ID", required = true)
    @NotNull
    private Integer userId;

    /**
     * 邮箱
     */
    @ApiModelProperty(value = "邮箱", required = true)
    @NotNull
    @Email
    private String email;

    /**
     * 标题
     */
    @ApiModelProperty(value = "标题", required = true)
    @NotNull
    private String title;

    /**
     * 用户建议
     */
    @ApiModelProperty(value = "通知信息", required = true)
    @NotNull
    private String advise;

    /**
     * 时间
     */
    @ApiModelProperty(value = "时间")
    private Long createTime;


    @ApiModelProperty(value = "通知图片")
    private String adviceLogo;


    @ApiModelProperty(value = "通知类型")
    private Integer adviceType;

    @ApiModelProperty(value = "是否回复")
    private Integer isReply;

}