package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 用户课程表(ZccmUserCourse)实体类
 *
 * @author java
 * @since 2020-11-09 10:05:18
 */

@ApiModel(value = "用户课程表")
@Data
public class ZccmUserCourse implements Serializable {

    private static final long serialVersionUID = 367696525637009095L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer userCourseId;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id", required = true)
    @NotNull
    private Integer userId;

    /**
     * 课程SKUid
     */
    @ApiModelProperty(value = "课程SKUid", required = true)
    @NotNull
    private Integer courseId;

    /**
     * 总体进度
     */
    @ApiModelProperty(value = "总体进度")
    @NotNull
    private Double coursePercent;

    /**
     * 班级ID
     */
    @ApiModelProperty(value = "班级ID", required = true)
    @NotNull
    private Integer classId;

}