package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 用户班级学习进度表
 * (ZccmUserStatus)实体类
 *
 * @author java
 * @since 2020-12-06 11:37:06
 */

@ApiModel(value = "用户状态表")
@Data
public class ZccmUserStatus implements Serializable {

    private static final long serialVersionUID = 425010649051627355L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer statusId;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    @NotNull
    private Integer userId;

    /**
     * 地区年度继续学习配置ID
     */
    @ApiModelProperty(value = "地区年度继续学习配置ID")
    @NotNull
    private Integer classId;

    /**
     * 报名得订单号
     */
    @ApiModelProperty(value = "报名得订单号")
    @NotNull
    private Integer orderId;

    /**
     * 状态
     */
    @ApiModelProperty(value = "状态", required = true)
    @NotNull
    private Integer status;

}