package com.hc.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;


/**
 * 用户考试记录表(ZccmUserTestHistory)实体类
 *
 * @author java
 * @since 2020-12-07 11:28:17
 */

@ApiModel(value = "考试记录表")
@Data
public class ZccmUserTestHistory implements Serializable {

    private static final long serialVersionUID = -86805600747462758L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer testId;

    /**
     * 用户Id
     */
    @ApiModelProperty(value = "用户Id", required = true)
    private Integer userId;

    /**
     * 试卷ID
     */
    @ApiModelProperty(value = "试卷ID", required = true)
    private Integer paperId;

    /**
     * 班次id
     */
    @ApiModelProperty(value = "班次ID", required = true)
    private Integer classId;

    /**
     * 成绩
     */
    @ApiModelProperty(value = "成绩", required = true)
    private Integer score;

    /**
     * 问题ID数组
     */
    @ApiModelProperty(value = "问题ID数组", required = true)
    private String answer;


    @ApiModelProperty(value = "创建时间")
    private Long createTime;


    @ApiModelProperty(value = "总分", required = true)
    private Integer totalScore;

    /**
     * 考试时间
     */
    @ApiModelProperty(value = "考试时间", required = true)
    private String testTime;


}