package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.model.ZccmPaperQuestion;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * 随机试卷问题表(ZccmPaperQuestion)表服务接口
 *
 * @author java
 * @since 2020-12-07 11:35:13
 */

@Component
public interface ZccmPaperQuestionService {

    /**
     * 通过ID查询单条数据
     *
     * @param paperRuleId 主键
     * @return 实例对象
     */
    ZccmPaperQuestion queryById(Integer paperRuleId);

    /**
     * 新增数据
     *
     * @param paperQuestion 实例对象
     * @return 实例对象
     */
    ZccmPaperQuestion insert(ZccmPaperQuestion paperQuestion);

    /**
     * 修改数据
     *
     * @param paperQuestion 实例对象
     * @return 实例对象
     */
    ZccmPaperQuestion update(ZccmPaperQuestion paperQuestion);

    /**
     * 通过主键删除数据
     *
     * @param paperRuleId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer paperRuleId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);

    /**
     * 依据试卷id获取抽题规则
     *
     * @param paperId 试卷id
     * @return 实例对象数组
     */
    List<ZccmPaperQuestion> queryByPaperId(Integer paperId);


}