package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.model.ZccmQuestionTag;
import org.springframework.stereotype.Component;


/**
 * 问题标签表(ZccmQuestionTag)表服务接口
 *
 * @author java
 * @since 2020-12-07 11:36:41
 */

@Component
public interface ZccmQuestionTagService {

    /**
     * 通过ID查询单条数据
     *
     * @param questionTagId 主键
     * @return 实例对象
     */
    ZccmQuestionTag queryById(Integer questionTagId);

    /**
     * 新增数据
     *
     * @param questionTag 实例对象
     * @return 实例对象
     */
    ZccmQuestionTag insert(ZccmQuestionTag questionTag);

    /**
     * 修改数据
     *
     * @param questionTag 实例对象
     * @return 实例对象
     */
    ZccmQuestionTag update(ZccmQuestionTag questionTag);

    /**
     * 通过主键删除数据
     *
     * @param questionTagId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer questionTagId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}