package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.model.ZccmUserAdvise;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * 用户建议表
 * (ZccmUserAdvise)表服务接口
 *
 * @author java
 * @since 2020-11-16 14:20:03
 */

@Component
public interface ZccmUserAdviseService {

    /**
     * 通过ID查询单条数据
     *
     * @param adviceId 主键
     * @return 实例对象
     */
    ZccmUserAdvise queryById(Integer adviceId);

    /**
     * 新增数据
     *
     * @param userAdvise 实例对象
     * @return 实例对象
     */
    ZccmUserAdvise insert(ZccmUserAdvise userAdvise);

    /**
     * 修改数据
     *
     * @param userAdvise 实例对象
     * @return 实例对象
     */
    ZccmUserAdvise update(ZccmUserAdvise userAdvise);

    /**
     * 通过主键删除数据
     *
     * @param adviceId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer adviceId);

    /**
     * 分页查询多条数据
     *
     * @param adviceType 类别
     * @param page       页码
     * @param size       查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(Integer adviceType, int page, int size);

    /**
     * 依据用户id查询建议
     *
     * @param userId 用户id
     * @return 实例对象
     */
    PageInfo queryAllByUserId(Integer userId, int page, int size);

}