package com.hc.business.service;

import com.hc.business.dto.ZccmUserCourseDto;
import com.hc.business.model.ZccmUserCourse;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * 用户课程表(ZccmUserCourse)表服务接口
 *
 * @author java
 * @since 2020-11-09 10:05:19
 */

@Component
public interface ZccmUserCourseService {

    /**
     * 通过ID查询单条数据
     *
     * @param userCourseId 主键
     * @return 实例对象
     */
    ZccmUserCourse queryById(Integer userCourseId);

    /**
     * 新增数据
     *
     * @param userCourse 实例对象
     * @return 实例对象
     */
    ZccmUserCourse insert(ZccmUserCourse userCourse);

    /**
     * 修改数据
     *
     * @param userCourse 实例对象
     * @return 实例对象
     */
    ZccmUserCourse update(ZccmUserCourse userCourse);

    /**
     * 通过主键删除数据
     *
     * @param userCourseId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer userCourseId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    List<ZccmUserCourseDto> queryAllByLimit(Integer userId, Integer classId, int page, int size);


}