package com.hc.web.controller.browser.front;

import com.hc.business.service.ZccmPaperQuestionService;
import com.hc.core.utils.result.Result;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

/**
 * 随机试卷问题表(ZccmPaperQuestion)表控制层
 *
 * @author java
 * @since 2020-12-07 11:35:16
 */

@RestController
@RequestMapping("/new/api/front/paperQuestion")
public class FrontPaperQuestionController {

    /**
     * 服务对象
     */
    private final ZccmPaperQuestionService paperQuestionService;

    public FrontPaperQuestionController(ZccmPaperQuestionService paperQuestionService) {
        this.paperQuestionService = paperQuestionService;
    }

    @GetMapping("/{id}")
    @ApiOperation(value = "依据主键获取 ZccmPaperQuestion", response = Result.class)
    public Result selectFrontPaperQuestion(@PathVariable("id") Integer id) {
        return Result.success(this.paperQuestionService.queryById(id));
    }




}